<?xml version="1.0" encoding="UTF-8" ?>
<!-- 
// ============================================================================
//
// Copyright (c) 2010, heig-vd.ch, niceideas.ch - Jerome Kehrli
//
// You may distribute this code under the terms of the GNU LGPL license
// (http://www.gnu.org/licenses/lgpl.html). [^]
//
// ============================================================================
-->

<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
  xmlns:c="http://java.sun.com/jsp/jstl/core"
  version="2.0">
  
<jsp:directive.page  import="javax.ejb.EJB"/>
<jsp:directive.page  import="ch.niceideas.communityBoard.data.User"/>
<jsp:directive.page  import="ch.niceideas.communityBoard.service.LoginException"/>


<jsp:directive.page  import="ch.niceideas.communityBoard.web.ServiceLocator"/>
<jsp:directive.page  import="ch.niceideas.communityBoard.web.Controller"/>

<jsp:directive.page  import="ch.niceideas.communityBoard.web.LoginHelper"/>

<c:choose>  
    <c:when test="${!empty param.nickname}"> 

        <jsp:scriptlet><![CDATA[
            User user = LoginHelper.login(request);
            request.setAttribute("user", user);    
        ]]></jsp:scriptlet>

        <c:choose>  
            <c:when test="${user != null}">     
        
                <jsp:scriptlet><![CDATA[    
                    request.getRequestDispatcher("../controller/forumList.do").forward(request, response);
                ]]></jsp:scriptlet>
            </c:when>
            <c:otherwise>
                <h2>User not found !</h2>
            </c:otherwise>
        </c:choose>
    
        
    </c:when>
    <c:otherwise>
    
        <html xmlns="http://www.w3.org/1999/xhtml">
    
        <jsp:include page="/WEB-INF/header.jsp">
            <jsp:param value="Community Board Login" name="pageTitle"/>
        </jsp:include>
        
        <body>
        
        <jsp:include page="/WEB-INF/banner.jsp" />    
        
        
        <center>
        
        <p>&#160;</p>
        <p>&#160;</p>
        <p>&#160;</p>
        <p>&#160;</p>
        <p>&#160;</p>
        
        
        <table class="decorative" style="background-color: #DDDDDD;"><tr><td style="height: 25px; width: 307px; vertical-align: middle;">
            <center><b>Please provide login credentials in the fields below : </b></center>
        </td></tr></table>    
        <br />
                
        <table class="decorative"><tr><td>    
            <table class="globalEspacements"><tr><td>
                <form method="post" class="standardForm" action="login.do">
                    <table class="espacements">
                                
                        <tr><td>Nickname : </td><td><input id="nickname" name="nickname" type="text"></input></td></tr>
                        <tr><td>Password : </td><td><input id="password" name="password" type="password"></input></td></tr>
                        <tr><td colspan="2"><center><input type="submit" value="Submit"></input></center></td></tr>            
                        
                    </table>
                </form>
            </td></tr></table>
        </td></tr></table>
        
        </center>
        
        <jsp:include page="/WEB-INF/footer.jsp" />    
    
        </body>
        </html>
    </c:otherwise>
</c:choose>    

</jsp:root>