<?xml version="1.0" encoding="UTF-8" ?>
<!-- 
// ============================================================================
//
// Copyright (c) 2010, heig-vd.ch, niceideas.ch - Jerome Kehrli
//
// You may distribute this code under the terms of the GNU LGPL license
// (http://www.gnu.org/licenses/lgpl.html). [^]
//
// ============================================================================
-->

<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
  xmlns:c="http://java.sun.com/jsp/jstl/core"
  version="2.1">
<jsp:directive.page import="ch.niceideas.communityBoard.web.RatingEditionHelper"/>
<jsp:directive.page import="ch.niceideas.communityBoard.web.NoteEditionHelper"/>
<jsp:directive.page import="ch.niceideas.communityBoard.web.ForumEditionHelper"/>
  
<jsp:directive.page import="ch.niceideas.communityBoard.data.Forum"/>

<jsp:directive.page import="ch.niceideas.communityBoard.service.ForumService"/>
<jsp:directive.page import="ch.niceideas.communityBoard.web.ServiceLocator"/>  

<jsp:declaration>
    ForumService forumService = ServiceLocator.lookupBean(ForumService.class, "java:global/CommunityBoard/CommunityBoard_services/ForumService"); 
</jsp:declaration>

<jsp:scriptlet><![CDATA[
    String action = RatingEditionHelper.performAction(request);
]]></jsp:scriptlet>

<c:choose>  
    <c:when test="${done.equals('true')}">
    
        <jsp:scriptlet><![CDATA[    
            request.getRequestDispatcher("../controller/noteDetail.do?noteId="+request.getParameter("noteId")).forward(request, response);
        ]]></jsp:scriptlet>
     
    </c:when>
    <c:otherwise> 
  
        <html xmlns="http://www.w3.org/1999/xhtml">
            
        <jsp:include page="/WEB-INF/header.jsp">
            <jsp:param value="Rating Edition" name="pageTitle"/>
        </jsp:include>
        
        <body>
        
        <jsp:include page="/WEB-INF/banner.jsp" />     
        
        <center>
        
        <p>&#160;</p>
        <p>&#160;</p>
        <p>&#160;</p>
        
        <table class="decorative" style="background-color: #DDDDDD;"><tr><td style="height: 25px; width: 610px; vertical-align: middle;">
            <center>
                <b>${title}</b>    
            </center>
        </td></tr></table>    
        <br />
        
        <table class="decorative"><tr><td>
            <table class="globalEspacements"><tr><td>
                <form method="post" class="standardForm" action="ratingEdition.do?action=${action}&#38;amp;ratingId=${rating.id}&#38;amp;noteId=${noteId}&#38;amp;confirm=true">
                    <c:if test="${action == 'add' || action == 'edit'}">            
        	            <table class="espacements">
        	            
        	                <!-- ID -->                       
        		            <tr>
        		                <td style="text-align: right; vertical-align: middle; width: 125px;">
        		                    ID 
        		                </td>
        		                <td style="text-align: left; vertical-align: middle; width: 350px;">
        		                    <input type="text" disabled="disabled" readonly="true" 
        		                           id="id" name="id"
        		                           style="width: 100px;"
        		                           value="${action == 'edit' ? rating.id : ''}"></input> 
        		                </td>
        		            </tr>
        		            
        	                <!-- name -->                       
        		            <tr>
        		                <td style="text-align: right; vertical-align: middle;">
        		                    Rating
        		                </td>
        		                <td style="text-align: left; vertical-align: middle;">
        		                    <input type="text" 
        		                           id="rating" name="rating"
        		                           style="width: 400px;"
        		                           value="${action == 'edit' ? rating.rating : ''}"></input> 
                                    <br />
                                    <i>(Give a value between -5 and +5)</i>
        		                </td>
        		            </tr>
        		            
        		            <!-- content -->                       
        		            <tr>
        		                <td style="text-align: right; vertical-align: middle;">
        		                    Comment
        		                </td>
        		                <td style="text-align: left; vertical-align: middle;">
        		                    <!-- XXX I know it's crappy but I have to keep it on one line ! -->
        		                    <textarea id="comment" name="comment" style="width: 400px; height: 50px;">${action == 'edit' ? rating.comment : ''}</textarea> 
        		                </td>
        		            </tr>
        		        </table>
        		    </c:if>
                    
                    <input type="hidden" id="userId" name="userId" value="${sessionScope['LOGGED_IN_USER'].id}">
                    </input>
                    
                    <input type="hidden" id="noteId" name="noteId" value="${forumId}">
                    </input>
                    
                    <c:if test="${action == 'delete'}">
                        <center>Are you sure you want to delete rating '${rating.rating}' from user '${rating.user.nickname}'?</center>
                    </c:if>
                    
        		    <p />    
        	        <table class="none" style="width: 577px;"><tr>
        	            <td style="width: 50%; text-align: center;">
        	                <input type="submit" value="Submit"></input>
        	            </td><td style="width: 50%; text-align: center;">
        	                <input type="button" value="Cancel" onclick="javascript:window.location='noteDetail.do?noteId=${noteId}';"></input> 
        	            </td>
        	        </tr></table>        
        		    
        	    </form>    
        	                    
            </td></tr></table>
        </td></tr></table>
        
        </center>
        
        <jsp:include page="/WEB-INF/footer.jsp" />    
        
        </body>
        </html>

    </c:otherwise>
</c:choose>    
</jsp:root>
