<?xml version="1.0" encoding="UTF-8" ?>
<!-- 
// ============================================================================
//
// Copyright (c) 2010, heig-vd.ch, niceideas.ch - Jerome Kehrli
//
// You may distribute this code under the terms of the GNU LGPL license
// (http://www.gnu.org/licenses/lgpl.html). [^]
//
// ============================================================================
-->

<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
  xmlns:c="http://java.sun.com/jsp/jstl/core"
  version="2.1">
  
<jsp:directive.page import="ch.niceideas.communityBoard.web.UserEditionHelper"/>
  
<jsp:directive.page import="ch.niceideas.communityBoard.data.Forum"/>

<jsp:directive.page import="ch.niceideas.communityBoard.service.ForumService"/>
<jsp:directive.page import="ch.niceideas.communityBoard.web.ServiceLocator"/>  

<jsp:declaration>
    ForumService forumService = ServiceLocator.lookupBean(ForumService.class, "java:global/CommunityBoard/CommunityBoard_services/ForumService");    
</jsp:declaration>

<jsp:scriptlet><![CDATA[
    String action = UserEditionHelper.performAction(request);
]]></jsp:scriptlet>

<c:choose>  
    <c:when test="${done.equals('true')}">
    
        <jsp:scriptlet><![CDATA[    
            request.getRequestDispatcher("../controller/userList.do").forward(request, response);
        ]]></jsp:scriptlet>
     
    </c:when>
    <c:otherwise> 
  
        <html xmlns="http://www.w3.org/1999/xhtml">
            
        <jsp:include page="/WEB-INF/header.jsp">
            <jsp:param value="User edition" name="pageTitle"/>
        </jsp:include>
        
        <body>
        
        <jsp:include page="/WEB-INF/banner.jsp" />     
        
        <center>
        
        <p>&#160;</p>
        <p>&#160;</p>
        <p>&#160;</p>
        
        <table class="decorative" style="background-color: #DDDDDD;"><tr><td style="height: 25px; width: 610px; vertical-align: middle;">
            <center>
                <b>${title}</b>    
            </center>
        </td></tr></table>    
        <br />
        
        <table class="decorative"><tr><td>
            <table class="globalEspacements"><tr><td>
                <form method="post" class="standardForm" action="userEdition.do?action=${action}&#38;amp;userId=${user.id}&#38;amp;confirm=true">
                    <c:if test="${action == 'add' || action == 'edit'}">            
        	            <table class="espacements">
        	            
        	                <!-- ID -->                       
        		            <tr>
        		                <td style="text-align: right; vertical-align: middle; width: 125px;">
        		                    ID 
        		                </td>
        		                <td style="text-align: left; vertical-align: middle; width: 350px;">
        		                    <input type="text" disabled="disabled" readonly="true" 
        		                           id="id" name="id"
        		                           style="width: 100px;"
        		                           value="${action == 'edit' ? user.id : ''}"></input> 
        		                </td>
        		            </tr>
        		            
        	                <!-- nickname -->                       
        		            <tr>
        		                <td style="text-align: right; vertical-align: middle;">
        		                    Nickname 
        		                </td>
        		                <td style="text-align: left; vertical-align: middle;">
        		                    <input type="text" 
        		                           id="nickname" name="nickname"
        		                           style="width: 400px;"
        		                           value="${action == 'edit' ? user.nickname : ''}"></input> 
        		                </td>
        		            </tr>
        		            
        		            <!-- password -->                       
                            <tr>
                                <td style="text-align: right; vertical-align: middle;">
                                    Password 
                                </td>
                                <td style="text-align: left; vertical-align: middle;">
                                    <input type="password" 
                                           id="password" name="password"
                                           style="width: 400px;"
                                           value="${action == 'edit' ? user.password : ''}"></input> 
                                </td>
                            </tr>
                            
                            <!-- name -->                       
                            <tr>
                                <td style="text-align: right; vertical-align: middle;">
                                    Email 
                                </td>
                                <td style="text-align: left; vertical-align: middle;">
                                    <input type="text" 
                                           id="email" name="email"
                                           style="width: 400px;"
                                           value="${action == 'edit' ? user.email : ''}"></input> 
                                </td>
                            </tr>
                            
        		        </table>
        		    </c:if>
                    
                    <c:if test="${action == 'delete'}">
                        <center>Are you sure you want to delete user '${user.nickname}' ?</center>
                    </c:if>
                    
                    <p />    
        	        <table class="none" style="width: 577px;"><tr>
        	            <td style="width: 50%; text-align: center;">
        	                <input type="submit" value="Submit"></input>
        	            </td><td style="width: 50%; text-align: center;">
        	                <input type="button" value="Cancel" onclick="javascript:window.location='userList.do';"></input> 
        	            </td>
        	        </tr></table>        
        		    
        	    </form>    
        	                    
            </td></tr></table>
        </td></tr></table>
        
        </center>
        
        <jsp:include page="/WEB-INF/footer.jsp" />    
        
        </body>
        </html>

    </c:otherwise>
</c:choose>    
</jsp:root>