<?xml version="1.0" encoding="UTF-8" ?>
<!-- 
// ============================================================================
//
// Copyright (c) 2010, heig-vd.ch, niceideas.ch - Jerome Kehrli
//
// You may distribute this code under the terms of the GNU LGPL license
// (http://www.gnu.org/licenses/lgpl.html). [^]
//
// ============================================================================
-->

<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
  xmlns:c="http://java.sun.com/jsp/jstl/core"
  version="2.0">
<jsp:directive.page import="javax.ejb.EJB"/>
<html xmlns="http://www.w3.org/1999/xhtml">
    
<jsp:directive.page import="ch.niceideas.communityBoard.data.User"/>
<jsp:directive.page import="java.util.List"/>

<jsp:directive.page import="ch.niceideas.communityBoard.service.ForumService"/>
<jsp:directive.page import="ch.niceideas.communityBoard.web.ServiceLocator"/>

<jsp:include page="/WEB-INF/header.jsp">
    <jsp:param value="User list" name="pageTitle"/>
</jsp:include>

<body>

<jsp:include page="/WEB-INF/banner.jsp" />    
 
<jsp:declaration>

    ForumService forumService = ServiceLocator.lookupBean(ForumService.class, "java:global/CommunityBoard/CommunityBoard_services/ForumService"); 
</jsp:declaration>

<jsp:scriptlet><![CDATA[
    List<User> users = forumService.listUsers();
    request.setAttribute("users", users);
]]></jsp:scriptlet> 


<center>
forum
<p>&#160;</p>
<p>&#160;</p>

<table class="decorative" style="background-color: #DDDDDD;"><tr><td style="height: 25px; width: 755px; vertical-align: middle;">
    <center>
        <b>List of users : <jsp:expression>users.size()</jsp:expression> user(s)</b>    
    </center>
</td></tr></table>    
<br />

<table class="decorative" style="width: 755px;"><tr><td><center>
    <div class="scroller" id="scrollerDiv" style="">
    <table class="globalEspacements"><tr><td>
        <table class="innerDecorative">
            <tr>
                <td style="background-color: #AAAAAA; width: 40px;"><b>ID</b></td>
                <td style="background-color: #AAAAAA; width: 200px;"><b>Nickname</b></td>
                <td style="background-color: #AAAAAA; width: 370px;"><b>Email</b></td>
                <td style="background-color: #AAAAAA; width: 60px;"><b>Actions</b></td>
            </tr>             
            <c:forEach var="user" items="${users}">
                <tr>
                    <td><a class="light" href="userEdition.do?action=edit&#38;amp;userId=${user.id}">${user.id}</a></td>
                    <td><a class="light" href="userEdition.do?action=edit&#38;amp;userId=${user.id}">${user.nickname}</a></td>
                    <td>${user.email}</td>
                    <td>
                    	<table class="none"><tr><td>
                    	    <a href="userEdition.do?action=edit&#38;amp;userId=${user.id}" class="light">
		                        <table class="none"><tr>
					                <td style="vertical-align: middle"><img class="imagediv" src="../images/edit.png" alt="Edit" title="Edit"></img></td>
					                <td style="vertical-align: middle">&#160;&#160;&#160;</td>				                
					            </tr></table>
					        </a>
				        </td><td>
				            <a href="userEdition.do?action=delete&#38;amp;userId=${user.id}" class="light">
					            <table class="none"><tr>
					                <td style="vertical-align: middle"><img class="imagediv" src="../images/delete.png" alt="Delete" title="Delete"></img></td>
					            </tr></table>
					        </a>
			            </td></tr></table>
                    </td>
                </tr>
            </c:forEach>             
        </table>
    </td></tr></table>
    </div>
     
     <center>
        <p />    
        <table class="none" style="width: 742px;"><tr>
            <td>
                <a href="userEdition.do?action=add" class="light">
                    <table class="none"><tr>
                        <td style="vertical-align: middle"><img class="imagediv" src="../images/add.png"></img></td>
                        <td style="vertical-align: middle">&#160;Add new user ...</td>
                    </tr></table>
                </a>
            </td>
        </tr></table>
        <p />
    </center>        
            
</center></td></tr></table>

</center>

<jsp:include page="/WEB-INF/footer.jsp" />    

</body>
</html>
</jsp:root>