// 
// ============================================================================
//
// Copyright (c) 2010, heig-vd.ch, niceideas.ch - Jerome Kehrli
//
// You may distribute this code under the terms of the GNU LGPL license
// (http://www.gnu.org/licenses/lgpl.html). [^]
//
// ============================================================================
//

function resizeIt () {
		
	 var viewportwidth;
	 var viewportheight;
	 
	 // the more standards compliant browsers (mozilla/netscape/opera/IE7) use window.innerWidth and window.innerHeight	 
	 if (typeof window.innerWidth != 'undefined')
	 {
	      viewportwidth = window.innerWidth,
	      viewportheight = window.innerHeight
	 }	 
	 // IE6 in standards compliant mode (i.e. with a valid doctype as the first line in the document)	
	 else if (typeof document.documentElement != 'undefined'
	     && typeof document.documentElement.clientWidth !=
	     'undefined' && document.documentElement.clientWidth != 0)
	 {
	       viewportwidth = document.documentElement.clientWidth,
	       viewportheight = document.documentElement.clientHeight
	 }	 
	 // older versions of IE	 
	 else
	 {
	       viewportwidth = document.getElementsByTagName('body')[0].clientWidth,
	       viewportheight = document.getElementsByTagName('body')[0].clientHeight
	 }

     var scroller = document.getElementById("scrollerDiv");
     if (scroller && scroller != null) {
    	 //alert (scroller.offsetHeight);
    	 if (scroller.offsetHeight > (viewportheight - 200)) { 
    		 scroller.style.height = (viewportheight - 200) + "px";
    	 }
     }
     
     // TODO Make it resize the content when the window is resized for something
     // larger as well.
 };
 
 window.onload = resizeIt;
 window.onresize = resizeIt;