// ============================================================================
//
// Copyright (c) 2010, heig-vd.ch, niceideas.ch - Jerome Kehrli
//
// You may distribute this code under the terms of the GNU LGPL license
// (http://www.gnu.org/licenses/lgpl.html). [^]
//
// ============================================================================


package ch.niceideas.communityBoard.service;

/**
 * Common exception indicating a problem occurring during a call to the 
 * ForumService.
 */
public class ForumException extends Exception {

	private static final long serialVersionUID = 385499699333222510L;
	
	public ForumException (String message) {
		super (message);
	}
	
	public ForumException (String message, Throwable inner) {
		super (message, inner);
	}

	public ForumException (Throwable inner) {
		super (inner);
	}
}
